Description

Supportanfrage

wir hatten es zuletzt in Diskussion, ich bin mir aber nicht mehr sicher, was hier der letzte Stand war und vor allem, was mit ADTF

3.3.0 möglich ist.

Ich habe einen manuellen Teil für eine PluginDescription:

<editor_descriptions>

<editor_description>

<name>Create Pins from Properties</name>

<url>FilterSystemCheck_filtereditor.qml</url>

</editor_description>

</editor_descriptions>

 Der PluginDescriptionGenerator scheint die Datei immer komplett neu zu erstellen, sodass ich den manuellen Teil manuell

integrieren muss, nachdem der PluginDescriptionGenerator gelaufen ist.

Ich benötige einen automatisierbaren Weg. Habt ihr hier eine Empfehlung?

Lösung

Nutze am besten unser CMake Makro adtf_create_plugindescription inkl. MERGE_DESCRIPTION Option, dass das beim Build

gleich entsprechend berücksichtigt wird:

adtf_create_plugindescription(

    TARGET

        ${EXAMPLE_TARGETNAME}

    PLUGIN_SUBDIR

        "src/examples/bin" 

    MERGE_DESCRIPTION

        "demo_data_triggered_filter.plugindescription" 

)

 siehe dazu auch unsere Examples

History

#1 - 2018-04-30 11:02 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::PluginDescription

- Customer set to AUDI

- Department set to EX

- Affected Products ADTF 3.3.0 added
- Platform Windows 7 64bit added

#2 - 2018-04-30 11:04 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi Jens,

nutzt du unser Makro inkl. MERGE_DESCRIPTION Option, dass das beim Build gleich entsprechend berücksichtigt wird ?

adtf_create_plugindescription(

    TARGET

        ${EXAMPLE_TARGETNAME}

    PLUGIN_SUBDIR

        "src/examples/bin" 

    MERGE_DESCRIPTION

        "demo_data_triggered_filter.plugindescription" 

)

 siehe dazu unsere Bsp.

#3 - 2018-04-30 12:36 - hidden

Hallo,

danke, das war den Hinweis, der mir gefehlt hat ;). Ich habe meine Skripte angepasst.

Ticket kann aus meiner Sicht geschlossen werden. Es folgen Informationen für Euch, die ihr nutzen könnt, um ADTF bzw. die Doku zu verbessern.

Zuvor hatte ich vergeblich versucht

adtf_plugin_description_generator --help

Suche in ADTF_Documentation.html

Ich nutze derzeit mein eigenes Skript zur Benutzung der Plugin-Description.

Unsere Buildsysteme unterscheiden sich etwas. Wir nutzen derzeit z.B. kein Install-Target.

Auch versuche ich im allgemeinen über mehrere ADTF-Versionen kompatibel zu bleiben. Und bei Evaluierungen die Unterschiede zwischen den

Versionen herauszuarbeiten.

Mein Skript sieht derzeit so aus:

function(a3e_plugindescriptiongenerator NAME)

    if ("${ADTF_VERSION}" VERSION_LESS "3.3.0")

        set(PLUGIN_ATTR "-plugins")

    elseif("$ENV{ADTF_VERSION}" STREQUAL "3.3.0_Beta1")

        set(PLUGIN_ATTR "--plugin")

    else()

        set(PLUGIN_ATTR "-plugin")

    endif()

    set(MERGE_ARG "")

    set(list_var "${ARGN}")

    foreach(ITEM IN LISTS list_var)

        get_filename_component(ITEM_SUFFIX ${ITEM} EXT)

        if ("${ITEM_SUFFIX}" STREQUAL ".plugindescription")

            get_filename_component(ITEM_FOLDER ${ITEM} DIRECTORY)

            set(MERGE_ARG "-merge=${ITEM}")

        else()

            list(APPEND ADDITIONAL_FILES_TO_COPY COMMAND ${CMAKE_COMMAND} -E copy)

            list(APPEND ADDITIONAL_FILES_TO_COPY ${ITEM})

            list(APPEND ADDITIONAL_FILES_TO_COPY $<TARGET_FILE_DIR:${PROJECT_NAME}>)

        endif()

    endforeach()

    set(ADTF_PLUGINDESCRIPTION_GENERATOR "${ADTF_DIR}/bin/$<$<CONFIG:Debug>:debug/>adtf_plugin_description_gen

erator${CMAKE_EXECUTABLE_SUFFIX}")

    if(MSVC OR (NOT "$ENV{ADTF_VERSION}" STREQUAL "3.3.0_Beta1")) # PluginDescriptionGenerator does not work o

n Linux with this version

        add_custom_command(TARGET ${NAME} POST_BUILD

            COMMAND ${CMAKE_COMMAND} -E remove $<TARGET_FILE_DIR:${NAME}>/${NAME}.plugindescription

            ${ADDITIONAL_FILES_TO_COPY}

            COMMAND ${ADTF_PLUGINDESCRIPTION_GENERATOR} ${PLUGIN_ATTR}=$<TARGET_FILE:${NAME}> ${MERGE_ARG}

            )
    endif()

endfunction()

 Ich verwende es z.B. so

a3e_plugindescriptiongenerator(${PROJECT_NAME}

    ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.plugindescription

    ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}_filtereditor.qml

    )

#4 - 2018-05-02 08:33 - hidden

- Subject changed from ADTF 3.3.0 PluginDescription: Manuelle Anteile und generierte Anteile zusammenführen to Merge manually and generated

part of plugin description

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#6 - 2018-05-22 08:09 - hidden

- Project changed from 11 to Public Support

- Private changed from Yes to No

#7 - 2018-05-23 13:31 - hidden

- Status changed from To Be Closed to Closed
